=== debian/changelog ===
hdf-eos4 (2.17v1.00.dfsg.1-5) unstable; urgency=low

  * Include dh-autoreconf in B-D. Yes, this was tested on pbuilder. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Oct 2013 10:25:30 +0100

hdf-eos4 (2.17v1.00.dfsg.1-4) unstable; urgency=low

  * Fix FTBFS on autoconf changes. Closes: #725607.
  * Now use Standards-Version: 3.9.4
  * Multi-archify.  Move to debhelper 9.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2013 14:41:26 +0100

hdf-eos4 (2.17v1.00.dfsg.1-3) unstable; urgency=low

  * Transition build-dep libjpeg62-dev -> libjpeg-dev. Closes: #634028. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 23:52:42 +0100

hdf-eos4 (2.17v1.00.dfsg.1-2) unstable; urgency=low

  * Build using debhelper 7 + source format 3, rather than cdbs. 
    - chrpath, cdbs no longer needed.
  * Add patch to disable swinqimaps test that breaks due to glibc free()
    warning; enable other tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2011 09:43:38 +0100

hdf-eos4 (2.17v1.00.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Now source format 3.0 (quilt). Remove quilt build dependency.
  * Standards-Version: 3.9.2 
  * Add DEP-1 headers to patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2011 10:30:07 +0100

hdf-eos4 (2.16v1.00.dfsg.2-4) unstable; urgency=low

  * Build with pbuilder. Add chrpath dependency. Closes: #559913.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 19:58:52 +0000

hdf-eos4 (2.16v1.00.dfsg.2-3) unstable; urgency=low

  * Add dependency on automake, too. Closes: #559904.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 18:52:06 +0000

hdf-eos4 (2.16v1.00.dfsg.2-2) unstable; urgency=low

  * Add autoconf for autoreconf. Closes: 559891. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 17:20:02 +0000

hdf-eos4 (2.16v1.00.dfsg.2-1) unstable; urgency=low

  * Fixes thanks to Ivan Shmakov:
    - Add underscores to Fortran interface.a Closes: #555411.
  * Remove unnecessary conflicts with hdf-eos5. Closes: #555523. 
  * autoreconf adds a dependency on libtool. Closes: #555152. 
  * Now in source format 3.0 (quilt). Added quilt dependency.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Dec 2009 20:31:06 +0000

hdf-eos4 (2.16v1.00.dfsg.1-2) unstable; urgency=low

  * Add autoconf, asutomake dependencies for autoreconf. Closes: #546352.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Oct 2009 22:52:40 +0100

hdf-eos4 (2.16v1.00.dfsg.1-1) unstable; urgency=low

   * Initial Debian release. Closes: #530247.
   * DFSG-version: removed binaries without source.
   * libgctp now a separate package; don't include any references to this code,
     but use the external package instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Sep 2009 23:03:37 +0100 
