=== debian/control ===
Source: hdf-eos4
Section: libs
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.4
Homepage: http://www.hdfeos.org
Build-Depends: debhelper  (>= 9), dh-buildinfo,  gfortran, libhdf4g-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, autoconf, automake, dh-autoreconf

Package: libhdfeos0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF4
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhdfeos-dev
Architecture: any
Section: libdevel
Depends: libhdfeos0 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description:  Development files for the HDF-EOS4 library
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS4.
