=== src/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 AR = ar -r
 
 # define C preprocessor symbols 
-DFLAGS = -D$(HDFSYS)
+DFLAGS = -D$(HDFSYS) -DHDFVIEWPLUGIN
 
 # location of include files need to compile source code
 IFLAGS = -I. -I$(HDFEOS_INC) -I$(SZIPINC) -I$(HDFINC)
