=== debian/changelog ===
hdf-eos4 (2.19v1.00+dfsg.1-4) unstable; urgency=medium

  * Build using libhdf-alt-dev rather than libhdf-dev for compatability
    with libgdal. Closes: #796743 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 10:26:32 +0100

hdf-eos4 (2.19v1.00+dfsg.1-3) experimental; urgency=medium

   * Test build against libhdf4-alt-dev, not libhdf4g-dev, to fix FBTFS
     of ncl on mips.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Aug 2015 08:02:10 +0100

hdf-eos4 (2.19v1.00+dfsg.1-2) unstable; urgency=medium

  * Depend on libtool-bin not libtool. Roles have reversed.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Oct 2014 16:12:42 +0100

hdf-eos4 (2.19v1.00+dfsg.1-1) unstable; urgency=medium

  * New upstream release. Closes: #754467.
  * Now at Standards-Version: 3.9.5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Jul 2014 19:41:00 +0100
