=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_auto_test:
+	@echo "Tests disabled"
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared --with-pic \
