## hdf-eos4 2.19v1.00+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,12 @@
 #
 # author:  Guru Tej S. Khalsa / Space Applications Corp.
 #          Adura Adekunjo    / L3 Communications GSI
+#          Abe Taaheri / Raytheon IIS
 #
 # history:
 #       10-Nov-1997 GTSK Initital version
 #       23-Oct-2003 AA   Modified for Toolkit Linux Delivery
+#       02-Feb-2013 AT   Modified for Toolkit Linux64 build in clearcase
 #
 # notes:
 #       1) This file is only for use by ECS Configuration Management (CM)
@@ -43,7 +45,7 @@
 
 # define current HDF version
 
-CURRENT_HDF=HDF4.2r3
+CURRENT_HDF=HDF4.2.6
 CURRENT_SZIP=szip-2.1
 
 # define SDP Toolkit home directory
@@ -51,8 +53,8 @@
 TK_HOME=/ecs/formal/TOOLKIT
 
 # name of tar files for delivery
-HDFEOS_SOURCE_TAR=HDFEOS_SOURCE.tar
-HDFEOS_TESTDRIVERS_TAR=HDFEOS_TESTDRIVERS.tar
+HDFEOS_SOURCE_TAR=HDF-EOS2.19v1.00.tar
+HDFEOS_TESTDRIVERS_TAR=HDF-EOS2.19v1.00_TestDriver.tar
 
 # define the default compiler optimization level
 OPT_LVL=-g
@@ -109,10 +111,12 @@
 	@echo "No header files to generate or promote."
 	@/bin/touch include/HE2_config.h
 
-ProductLibs:
+ProductLibs: ProductLibs32 ProductLibs64
+
+ProductLibs32:
 	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2
 
-ProductLibs2:
+ProductLibs322:
 	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH) ] ; then	\
 		cd $(HDFEOS_HOME)/lib;			\
 		ln -s `basename $(HDFEOS_LIB)` $(ARCH);		\
@@ -120,19 +124,40 @@
 	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
 	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp
 
-LastPass:
+
+ProductLibs64:
+	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2
+
+ProductLibs642:
+	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH)64 ] ; then	\
+		cd $(HDFEOS_HOME)/lib;			\
+		ln -s `basename $(HDFEOS_LIB)` $(ARCH)64;		\
+	fi
+	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
+	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp
+
+LastPass:LastPass32 LastPass64
+
+LastPass32:
 	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2
 
-LastPass2:
+LastPass322:
 	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH) ] ; then	\
 		cd $(HDFEOS_HOME)/bin;			\
 		ln -s `basename $(HDFEOS_BIN)` $(ARCH);\
 	fi
 	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all
 
-#	@echo "No utilites to build."
-
-
+
+LastPass64:
+	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2
+
+LastPass642:
+	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH)64 ] ; then	\
+		cd $(HDFEOS_HOME)/bin;			\
+		ln -s `basename $(HDFEOS_BIN)` $(ARCH)64;\
+	fi
+	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all
 
 FL_BuildImake:
 	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2
@@ -263,6 +288,37 @@
 	CC="gcc -m32";						\
 	export CC;						\
 	LNX_COMP_FLAG="-m32";					\
+	export LNX_COMP_FLAG;					\
+	fi;							\
+	MAKE="$(MAKECMD)";					\
+	AR='ar r';						\
+	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
+	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib;		\
+	PGSINC=$(TK_HOME)/include;				\
+	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
+	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
+	export MAKE AR HDFINC PGSINC SZIPINC SZIPLIB HDFLIB;	\
+	$(MAKE) $(MFLAGS) $(TARGET)
+
+HE_ENV64:
+	@case $(ARCH) in					\
+		hp10)    brand=hp;      ;;                      \
+		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;         \
+		irix65)  brand=irix65; sgi_mode=65   ;;         \
+		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
+		sun5.5)  brand=sun5;    ;;			\
+		sun5.8)  brand=sun5.8;    ;;			\
+		linux)   LINUX_BRAND=linux64; brand=$(ARCH)64;; \
+		*)       brand=$(ARCH); ;;			\
+	esac;							\
+	HDFEOS_HOME=$(HE_HOME);					\
+	opt_flag=$(OPT_LVL);					\
+	export HDFEOS_HOME sgi_mode opt_flag LINUX_BRAND;	\
+	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
+	if [ $(ARCH) = "linux" ] ; then				\
+	CC="gcc";						\
+	export CC;						\
+	LNX_COMP_FLAG="";					\
 	export LNX_COMP_FLAG;					\
 	fi;							\
 	MAKE="$(MAKECMD)";					\
@@ -345,15 +401,3 @@
 	fi;								\
 	if [ ! -f $$he_bin/hdfeos_env.ksh ] ; then			\
 		cd $$he_bin;						\
-		echo "HDFEOS_HOME=$(HE_HOME)" > hdfeos_env.ksh;		\
-		echo "HDFLIB=$$hdflib" >> hdfeos_env.ksh;		\
-		echo "HDFINC=$$hdfinc" >> hdfeos_env.ksh;		\
-		echo "SZIPLIB=$$sziplib" >> hdfeos_env.ksh;		\
-		echo "SZIPINC=$$szipinc" >> hdfeos_env.ksh;		\
-		echo "sgi_mode=$$sgi_mode" >> hdfeos_env.ksh;		\
-		echo "opt_flag=$$opt_flag" >> hdfeos_env.ksh;		\
-		echo "use_flavor=1" >> hdfeos_env.ksh;			\
-		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
-		$$tmpdir/hdfeos_env.ksh.tmp >> hdfeos_env.ksh;		\
-	fi
-
