=== debian/changelog ===
hdf-eos4 (2.19v1.00+dfsg.1-7) unstable; urgency=medium

  * Set SHELL=/bin/sh to ensure reproducibility in example Makefiles

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Oct 2017 13:30:22 +0100

hdf-eos4 (2.19v1.00+dfsg.1-6) unstable; urgency=medium

  * Debhelper compat level now 10
  * Tidy up rules file to use debhelpers
  * Drop redundant deps on autotools, etc.
  * Standards-Version now 4.1.1
  * Drop obsolete triggers
  * Drop build path in examples, for repproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2017 15:08:34 +0100

hdf-eos4 (2.19v1.00+dfsg.1-5) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Pass CFLAGS, CPPFLAGS from build.
  * Hard-code SHELL=/bin/bash for reproducibility
  * Replace postinst /postrm which had ldconfig only with dpkg trigger

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 09:01:48 +0100

hdf-eos4 (2.19v1.00+dfsg.1-3) unstable; urgency=medium

  * Build using libhdf-alt-dev rather than libhdf-dev for compatability
    with libgdal. Closes: #796743 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 10:26:32 +0100
