=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 4.1.1
 Homepage: http://www.hdfeos.org
-Build-Depends: debhelper  (>= 9), dh-buildinfo,  gfortran, libhdf4g-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, autoconf, automake, dh-autoreconf
+Build-Depends: debhelper  (>= 10), dh-buildinfo,  gfortran,
+ libhdf4-alt-dev,
+ libjpeg-dev, libgctp-dev, zlib1g-dev
 
 Package: libhdfeos0
 Architecture: any
